Subject: Marijuana Stocks Set to SKY-ROCKET in 2017 (Invest Now)

From: "Marijuana Stock News" <[email-masked]>
Date: Fri, 23 Dec 2016 11:42:13 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.